Subject: [mif] How long domains and networks field is required for DHCPv4 DNS server select option

From: <[email-masked]>
Date: Thu, 20 Oct 2011 05:44:14 +0000

Hi Mif,

Is it enough to have 246 octets to describe the domains and networks fields in the case of DHCPv4, or do you want to have possibility for longer list of domains? 

We are discussing at the DHC WG what would be the optimal format for the DHCPv4 option, and the decisions depend on how much domains and networks information is needed in the case of DHCPv4. If we agree that 246 octets is enough, we can design far simpler DHCPv4 option than otherwise.

I prefer the simpler way even though it is more limited in size, as I don't really see need to go beyond that.

Best regards,

Teemu

________________________________________
From: ext Matthew Ryan [[email-masked]]
Sent: Thursday, October 20, 2011 1:45 AM
To: Savolainen Teemu (Nokia-CTO/Tampere)
Cc: [email-masked]
Subject: Re: [dhcwg] [mif] 2nd Last Call for MIF DNS server selection document

On Oct 19, 2011, at 14:03 , <[email-masked]> <[email-masked]> wrote:

> No, we decided against suboptions and concatenation as well - to just have single option and strictly limit the lenght of the domains-field. If I recall correctly, it was due DHCPv4 relays in some cases limiting the available DHCPv4 message size.. That's why the latest version is changed in so many locations related to this issue.
> Ok on alignment issue.
>
> Could we then remove the second length field and hence gain one additional byte for domains variable lenght field?

That seems strange to me, since the DHPCv6 version is able
to specify multiple redirections.  It's beyond the scope of
DHCP, so I can only assume that the other WG(s) decided
the feature wasn't necessary for IPv4 networks, but is
still necessary for IPv6 networks.

If that is indeed the case, then yes, you can just remove the
payload length octet from section 4.3 in draft -06.

 - Matt